%global pypi_name django-avatar

Name:           python-%{pypi_name}
Version:        4.1.0
Release:        2%{?dist}
Summary:        A django module for handling user avatars

License:        BSD
URL:            http://github.com/grantmcconnaughey/%{pypi_name}/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Django-avatar is a reusable application for handling user avatars. It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your
default file storage back-end for retrieval later.


%package -n python3-%{pypi_name}
Summary:        A django module for handling user avatars - Python 3 version

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  python3-coverage
BuildRequires:  python3-django
BuildRequires:  python3-django-appconf
BuildRequires:  python3-imaging
BuildRequires:  python3-six

Requires:       python3-django
Requires:       python3-imaging

Obsoletes:      python-%{pypi_name} < 4
Obsoletes:      python2-%{pypi_name} < 4

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Django-avatar is a reusable application for handling user avatars. It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your
default file storage back-end for retrieval later.
This package provides Python 3 build of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
%find_lang django

%check
PYTHONPATH=. \
DJANGO_SETTINGS_MODULE=tests.settings \
python3-coverage run %{python3_sitelib}/django/bin/django-admin.py test tests

%files -f django.lang -n python3-%{pypi_name}
%license LICENSE.txt
%doc PKG-INFO CONTRIBUTORS.txt README.rst
%dir %{python3_sitelib}/avatar/
%{python3_sitelib}/avatar/*.py*
%{python3_sitelib}/avatar/management/
%{python3_sitelib}/avatar/media/
%{python3_sitelib}/avatar/migrations/
%{python3_sitelib}/avatar/templates/
%{python3_sitelib}/avatar/locale/*/*/*.po
%{python3_sitelib}/avatar/templatetags/
%{python3_sitelib}/avatar/__pycache__/
%{python3_sitelib}/*.egg-info/

%changelog
* Fri Mar 16 2018 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-2
- Rebuilt to fix repo tag mishmash

* Tue Feb 20 2018 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-1
- Update to 4.1.0
- Removed python2 subpackage for https://fedoraproject.org/wiki/Changes/Django20

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Adam Williamson <awilliam@redhat.com> - 3.1.0-1
- Update to 3.1.0 (Django 1.10 compatible)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com>
- Rebuild for Python 3.6

* Fri Aug 5 2016 Jan Beran <jberan@redhat.com> - 3.0.0-1
- update to version 3.0.0
- url and source update
- tests are included now
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-9.20120609git097ed8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0a1-8.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-7.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-6.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0a1-5.20120609git097ed8
- correct django-avatar obs_ver

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-4.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-3.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-2.20120609git097ed8
- Added patch for support django>=1.4 functionality

* Sat Jun 09 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-1.20120609git097ed8
- Renamed from django-avatar to python-django-avatar

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-5.20110709git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-4.20110709git097ed8
- add requires on python-imaging

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-3.20110709git097ed8
- add requires on Django

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-2.20110709git097ed8
- Spec improved from Rahul Sundaram

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-1.20110709git097ed8
- Initial RPM release

